from ctypes import cdll
sdkdll = cdll.LoadLibrary("./WhaleTeqPPG_SDK.dll")
from ctypes import *
import time

if 0 == sdkdll.StartPPG():
    print('StartPPG() failed')
else:
    print('StartPPG() succeed')

#WHALETEQPPG_SDK_API bool SendFineTune(OutputFunction_E Waveform, int NoiseHz, int DC, int AC, int BPM, bool SyncPD);
if 0 == sdkdll.SendFineTune(15, 0, 625, 1250, 60, 1):
    print('SendFineTune() failed')
else:
    print('Output PPG waveform, DC 625mV, AC 12.5mV, BPM 60')
    time.sleep(30)

if 0 == sdkdll.SendFineTune(16, 0, 625, 1250, 70, 1):
    print('SendFineTune() failed')
else:
    print('Output Invert PPG waveform, DC 625mV, AC 12.5mV, BPM 70')
    time.sleep(30)

sdkdll.ClosePPG()
